local modUtil = require "merk_modutil_1_1"
require "stringutil"

local options_sahimms_900 = {
	sahimms_900_db_fake = { type = "boolean", default = false, name = _("DB Fakeversion"), description = _("option_sahimms_900_1_desc"), image = "res/textures/ui/models_small/vehicle/waggon/sahimms_900_db_fake_1.tga" },
	sahimms_900_db_ag_fake = { type = "boolean", default = false, name = _("DB AG Fakeversion"), description = _("option_sahimms_900_2_desc"), image = "res/textures/ui/models_small/vehicle/waggon/sahimms_900_db_ag_fake_1.tga" },
	sahimms_900_db_cargo_fake = { type = "boolean", default = false, name = _("DB Cargo Fakeversion"), description = _("option_sahimms_900_3_desc"), image = "res/textures/ui/models_small/vehicle/waggon/sahimms_900_db_cargo_fake_1.tga" },	
}

function data()
return {
	info = {
		minorVersion = 4,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("Sahimms 900 (u)"),
		description = _("info_sahimms_900_desc"),
		tags = { "Europe", "Wagon", },
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		tfnetId = 2405,                 															-- optional, transportfever.net id
		steamId = 801306747,             															-- optional, steam workshop id
		url = "https://www.transportfever.net/filebase/index.php/Entry/2405-Sahimms-900-u-TPF/", 	-- optional, URL zur Webseite des Mods
		visible = true
	},
	settings = options_sahimms_900,
		
	runFn = function(settings)
		modUtil.initialize("kaleut_sahimms_900", options_sahimms_900, files)
		local settings = modUtil.userSettings.get("kaleut_sahimms_900")
		if not settings.sahimms_900_db_fake then			
			modUtil.vehicles.hideObject("vehicle/waggon/sahimms_900_db_fake_1.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/sahimms_900_db_fake_2.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/sahimms_900_db_fake_3.mdl")						
		end	
		if not settings.sahimms_900_db_ag_fake then			
			modUtil.vehicles.hideObject("vehicle/waggon/sahimms_900_db_ag_fake_1.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/sahimms_900_db_ag_fake_2.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/sahimms_900_db_ag_fake_3.mdl")	
		end	
		if not settings.sahimms_900_db_cargo_fake then			
			modUtil.vehicles.hideObject("vehicle/waggon/sahimms_900_db_cargo_fake_1.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/sahimms_900_db_cargo_fake_2.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/sahimms_900_db_cargo_fake_3.mdl")	
		end	
	end
}
end
